.\"	$NetBSD: setencstat.8,v 1.3 2002/02/02 01:50:23 wiz Exp $
.\"	$OpenBSD: $
.\"	$FreeBSD: $
.\"
.\" Copyright (c) 2000 Matthew Jacob
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions, and the following disclaimer,
.\"    without modification, immediately at the beginning of the file.
.\" 2. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" Alternatively, this software may be distributed under the terms of the
.\" the GNU Public License ("GPL").
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR
.\" ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" Matthew Jacob
.\" Feral Software
.\" mjacob@feral.com
.Dd February 21, 2000
.Dt SETENCSTAT 8
.Os
.Sh NAME
.Nm setencstat
.Nd set SCSI Environmental Services Device enclosure status
.Sh SYNOPSIS
.Nm
.Ar device enclosure_status
.Sh DESCRIPTION
.Nm
sets summary status for a SCSI Environmental Services (or SAF-TE) device.
The enclosure status argument may take on the values:
.Bl -tag -width Ds
.It 0
Set the status to an
.Sy OK
state.
.It 1
Set the status to an
.Sy UNRECOVERABLE
state.
.It 2
Set the status to an
.Sy CRITICAL
state.
.It 4
Set the status to an
.Sy NON-CRITICAL
state.
.It 8
Set the status to an
.Sy INFORMATIONAL
state.
.El
.Pp
All the non-zero options may be combined.
.Pp
Note that devices may simply and silently ignore the setting of these values.
.Sh FILES
.Bl -tag -width /dev/sesN -compact
.It Pa /dev/ses Ns Ar N
SCSI Environmental Services Devices
.El
.Sh SEE ALSO
.Xr ses 4 ,
.Xr getencstat 8 ,
.Xr sesd 8 ,
.Xr setobjstat 8
